QGIS Application - Feature request #9456
Improve offset line algorithm
2014-01-29 03:58 PM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18048
Description

The current line offset algorithm used in line symbol layers is prone to extreme jagged spikes and other rendering errors. This could be
improved by implementing changes like those in this mapnik pull request:
https://github.com/mapnik/mapnik/pull/1269/files

Or by implementing a similar routine to that used by PostGIS' ST_OffsetCurve function.

Associated revisions

Revision bb7c¢d405 - 2014-03-03 08:04 AM - Martin Dobias

Merge pull request #1205 from ahuarte47/Issue_9485

Fix #9456 #9485: Line Offset in symbology generates artifacts

History

#1 - 2014-02-16 01:10 PM - Giovanni Manghi
- Target version set to Version 2.2

see also #9485

#2 - 2014-02-20 03:01 PM - Alvaro Huarte
- File issue_9485-results.JPG added

This pull request ( https:/github.com/qgis/QGIS/pull/1205 ) improves the offset of lines using GEOSOffsetCurve if GEOS 3.3 is available.

Results:
https://github.com/mapnik/mapnik/pull/1269/files
https://github.com/qgis/QGIS/pull/1205

QGIS master + patch

QGIS master

#3 - 2014-03-02 11:04 PM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"bb7cd4053a9aa676466ce3ead4212956e2a712537".

Files

Alvaro Huarte

2014-02-20

120 KB

issue_9485-results.JPG

22

2024-04-25



